openGL package not working

I was able to fix BOTH repls, using the following solution:
Click three dots, Show hidden files and open .replit file.
Change the channel variable to "stable-23_11" if it is present, otherwise insert this at the bottom:

[nix]
channel = "stable-23_11"

Refresh or type kill 1 in the Shell.
This will update the nix channel (basically the repository of all the System dependencies the repl uses) from 23.05 (the usual default for all repls), or possibly unstable, to 23.11 . (It does correspond to dates.) Alternatively, one can use "unstable" instead (the most recent but not guaranteed stable).
Maybe this updates the libraries to a version recent enough to be compatible with new updated repl drivers.

4 Likes